// gnome.xonotic.in.ua

noshader
{
	surfaceparm trans
	surfaceparm nomarks
	cull none
	{
		map noshader.tga
		tcmod scale 1.0 1.0
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		depthfunc equal
		rgbgen identity
	}
}

textures/base_floor/pjgrate1
{
	surfaceparm metalsteps
	cull none
	{
		map textures/base_floor/pjgrate1.tga
		tcmod scale 2 2
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc gl_dst_color gl_zero
		depthfunc equal
	}
}

textures/base_floor/proto_grate4
{
	surfaceparm metalsteps
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm nomarks
	cull none
	nopicmip
	{
		map textures/base_floor/proto_grate4.tga
		blendfunc gl_one gl_zero
		alphafunc ge128
		depthwrite
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
		depthfunc equal
	}
}

textures/base_floor/skylight1
{
	q3map_lightimage textures/base_floor/skylight1_lm.tga
	q3map_surfacelight 100
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/base_floor/skylight1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/base_floor/skylight1_lm.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle .2 2 0 7.7
	}
	{
		map textures/base_floor/skylight1_lm.tga
		blendfunc gl_one gl_one
		rgbgen wave triangle .2 5 1 5.1
	}
}

textures/base_wall/glass01
{
	surfaceparm trans
	cull none
	qer_trans 0.5
	{
		map textures/effects/tinfx.tga
		tcgen environment
		blendfunc gl_one gl_one
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
}

textures/charon_dm9/charon_bounce_dm9
{
	qer_editorimage textures/charon_dm9/charon_bouncepadx01.tga
	surfaceparm nodamage
	q3map_lightimage textures/sfx/jumppadsmall.tga
	q3map_surfacelight 400
	{
		map textures/charon_dm9/charon_bouncepadx01.tga
		rgbgen identity
	}
	{
		map $lightmap
		rgbgen identity
		blendfunc filter
	}
	{
		map textures/sfx/bouncepad01b_layer1.tga
		blendfunc add
		rgbgen wave sin .5 .5 0 1.5
	}
	{
		clampmap textures/sfx/jumppadsmall.tga
		blendfunc add
		tcmod stretch sin 1.2 .8 0 1.5
		rgbgen wave square .5 .5 .25 1.5
	}
}

textures/charon_dm9/charonftgears1
{
	qer_editorimage textures/charon_dm9/charonftgearplace1.tga
	{
		map textures/skies/blacksky.tga
		blendfunc gl_one gl_zero
		rgbgen identity
	}
	{
		map textures/charon_dm9/charonftgear1.tga
		blendfunc blend
		tcmod rotate 30
		tcmod stretch sin .8 0.2 0 .2
		rgbgen identity
	}
	{
		map textures/charon_dm9/charonftgear2.tga
		blendfunc blend
		tcmod rotate 20
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/charon_dm9/charonftgear3.tga
		blendfunc blend
		tcmod rotate 10
		tcmod stretch sin .8 0.2 0 .1
		rgbgen identity
	}
	{
		map textures/charon_dm9/charonftgearplace1.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/charon_dm9/charonhellskybright1
{
	surfaceparm noimpact
	surfaceparm nolightmap
	q3map_sun 1 1 1 250 220 82
	q3map_surfacelight 175
	qer_editorimage textures/skies/inteldimredclouds.tga
	skyparms env/azlcmb1_bin/eezabad - -
}

textures/charon_dm9/charon_mapscreen1
{
	qer_editorimage textures/charon_dm9/charon_levelshot1.tga
	q3map_surfacelight 100
	{
		animmap .25 textures/charon_dm9/charon_levelshot1.tga textures/charon_dm9/charon_levelshot2.tga textures/charon_dm9/charon_levelshot3.tga textures/charon_dm9/charon_levelshot4.tga textures/charon_dm9/charon_levelshot5.tga textures/charon_dm9/charon_levelshot6.tga textures/charon_dm9/charon_levelshot7.tga textures/charon_dm9/charon_levelshot8.tga
		rgbgen wave sawtooth 0 1 0 .25
	}
	{
		map textures/base_wall/comp3textd.tga
		blendfunc add
		rgbgen wave inversesawtooth 0 1 0 .25
		tcmod scroll 5 .25
	}
	{
		map textures/base_wall/chrome_env.tga
		tcgen environment
		tcmod scale .5 .5
		blendfunc add
		rgbgen wave triangle .5 .05 0 10
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
}

textures/charon_dm9/charon_pentlight1_7k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 7500
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .8 .2 0 1
	}
}

textures/common/caulk
{
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nomarks
}

textures/common/clip
{
	qer_trans 0.40
	surfaceparm nodraw
	surfaceparm nolightmap
	surfaceparm nonsolid
	surfaceparm trans
	surfaceparm nomarks
	surfaceparm noimpact
	surfaceparm playerclip
}

textures/common/cushion
{
	qer_nocarve
	qer_trans 0.50
	surfaceparm nodraw
	surfaceparm nomarks
	surfaceparm nodamage
	surfaceparm trans
}

textures/common/hint
{
	qer_nocarve
	qer_trans 0.30
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm structural
	surfaceparm trans
	surfaceparm noimpact
	surfaceparm hint
}

textures/common/trigger
{
	qer_trans 0.50
	qer_nocarve
	surfaceparm nodraw
}

textures/gothic_light/pentagram_light1_10k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 10000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .8 .2 0 1
	}
}

textures/gothic_light/pentagram_light1_15k
{
	qer_editorimage textures/gothic_light/pentagram_light1.tga
	q3map_surfacelight 15000
	light 1
	surfaceparm nomarks
	{
		map $lightmap
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1.tga
		blendfunc gl_dst_color gl_zero
		rgbgen identity
	}
	{
		map textures/gothic_light/pentagram_light1_blend.tga
		blendfunc gl_one gl_one
		rgbgen wave sin .8 .2 0 1
	}
}

textures/gothic_trim/pitted_rust3_black
{
	{
		map textures/evil3_metals/mtldrk0.tga
	}
	{
		map $lightmap
		blendfunc filter
		rgbgen identity
		tcgen lightmap
	}
}

textures/gothic_wall/xpipecolumn_gray_shiny
{
	{
		map textures/effects/tinfx.tga
		tcgen environment
		rgbgen identity
	}
	{
		map textures/gothic_wall/xpipecolumn_gray_shiny.tga
		blendfunc blend
		rgbgen identity
	}
	{
		map $lightmap
		blendfunc gl_dst_color gl_one_minus_dst_alpha
		rgbgen identity
	}
}

textures/sfx/pureblack
{
	qer_editorimage textures/skies/blacksky.tga
	surfaceparm noimpact
	surfaceparm nolightmap
	{
		map textures/skies/blacksky.tga
	}
}

textures/sfx/xblackfog
{
	qer_editorimage textures/sfx/blackness.tga
	qer_nocarve
	surfaceparm trans
	surfaceparm nonsolid
	surfaceparm fog
	surfaceparm nolightmap
	fogparms ( 0 0 0 ) 128
}

